/*
* Font Styles Class
*/

.font-semi-bold {
    font-weight: 600;
  }
  
  .font-medium {
    font-weight: 500;
  }
  
  .font-regular {
    font-weight: 400;
  }

/*
* Font Size Class
*/

.big-title {
    font-size: var(--big-title);
}
  
.page-title {
    font-size: var(--page-title);
}
  
.subtitle-text {
    font-size: var(--subtitle-text);
}
  
.label {
    font-size: var(--label);
}

/*
* Text Class
*/

.title {
  font-size: var(--big-title);
  color: var(--white);
  text-align: center;
}

.info-text {
  font-size: var(--subtitle-text);
  color: var(--grey);
  text-align: center;
}

.optional-text {
  font-size: var(--label);
  color: var(--grey-light);
  text-align: center;
}

.uppercase {
  text-transform: uppercase;
}

.no-margin-p {
  margin-block-start: 0px;
  margin-block-end: 0px;
  margin-inline-start: 0px;
  margin-inline-end: 0px;
}

/*
* Text-position CLass
*/

.text-center {
  text-align: center;
}

/*
* Ellipsis
*/

.ellipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}


@media screen and (max-width: 600px) {
  /*
  * Text Class
  */

  .title {
    font-size: var(--big-title-xs)!important;
  }

  .page-title {
    font-size: var(--page-title-xs);
  }

  .info-text {
    font-size: var(--subtitle-text-xs)!important;
  }

  .label {
    font-size: var(--label-xs);
  }

  .optional-text {
    font-size: var(--label-xs)!important;
  }

  .subtitle-text {
    font-size: var(--subtitle-text-xs);
  }
}

@media screen and (max-height: 600px) {
  /*
  * Text Class
  */

  .title {
    font-size: var(--big-title-xs)!important;
  }

  .page-title {
    font-size: var(--page-title-xs);
  }

  .info-text {
    font-size: var(--subtitle-text-xs)!important;
  }

  .label {
    font-size: var(--label-xs);
}

  .optional-text {
    font-size: var(--label-xs)!important;
  }

  .subtitle-text {
    font-size: var(--subtitle-text-xs);
  }
}